> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fintoc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Subscription Intents

**`v1`** · Base URL `https://api.fintoc.com/v1`


## OpenAPI

````yaml v2023-11-15/reference/fintoc-api.json GET /subscription_intents
openapi: 3.1.0
info:
  title: fintoc-api
  version: '2023-11-15'
servers:
  - url: https://api.fintoc.com/v1
security:
  - {}
paths:
  /subscription_intents:
    get:
      summary: List Subscription Intents
      operationId: list-subscription-intents
      parameters:
        - name: Authorization
          in: header
          description: Fintoc Secret Key
          schema:
            type: string
            default: sk_test_9c8d8CeyBTx1VcJzuDgpm4H
        - name: since
          in: query
          description: >-
            Date using <<glossary:ISO 8601>>. If present, return only
            Subscription Intents with date equal or after `since`.
          schema:
            type: string
            format: date
            default: '2021-01-01T00:00:00.000Z'
        - name: until
          in: query
          description: >-
            Date using <<glossary:ISO 8601>>. If present, return only
            Subscription Intents with date equal or before `until`.
          schema:
            type: string
            format: date
            default: '2021-01-01T00:00:00.000Z'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false

````